You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@brooklyn.apache.org by he...@apache.org on 2016/02/06 11:59:19 UTC

brooklyn-docs git commit: fix catalog items.js generation - BROOKLYN-221 - and uploaded

Repository: brooklyn-docs
Updated Branches:
  refs/heads/master e6527eefd -> d164fd19b


fix catalog items.js generation - BROOKLYN-221 - and uploaded


Project: http://git-wip-us.apache.org/repos/asf/brooklyn-docs/repo
Commit: http://git-wip-us.apache.org/repos/asf/brooklyn-docs/commit/d164fd19
Tree: http://git-wip-us.apache.org/repos/asf/brooklyn-docs/tree/d164fd19
Diff: http://git-wip-us.apache.org/repos/asf/brooklyn-docs/diff/d164fd19

Branch: refs/heads/master
Commit: d164fd19b4a8bdb9ce2c8919f61062e8c52c2c69
Parents: e6527ee
Author: Alex Heneveld <al...@cloudsoftcorp.com>
Authored: Sat Feb 6 10:58:25 2016 +0000
Committer: Alex Heneveld <al...@cloudsoftcorp.com>
Committed: Sat Feb 6 10:58:25 2016 +0000

----------------------------------------------------------------------
 _build/build.sh | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/brooklyn-docs/blob/d164fd19/_build/build.sh
----------------------------------------------------------------------
diff --git a/_build/build.sh b/_build/build.sh
index c892287..173da50 100755
--- a/_build/build.sh
+++ b/_build/build.sh
@@ -179,7 +179,7 @@ function test_site() {
 }
 
 function make_jekyll() {
-  BROOKLYN_BIN=../usage/dist/target/brooklyn-dist/brooklyn/bin/brooklyn
+  BROOKLYN_BIN=../brooklyn-dist/dist/target/brooklyn-dist/brooklyn/bin/brooklyn
   if [ -f $BROOKLYN_BIN ]; then
     ITEMS_JS=style/js/catalog/items.js
     echo "Generating catalog items in $ITEMS_JS"
@@ -188,6 +188,12 @@ function make_jekyll() {
       list-objects >> "$ITEMS_JS"
     echo ";" >> "$ITEMS_JS"
     echo "Generating catalog items completed"
+  else
+    echo "Could not find brooklyn to generate items.js"
+    if [ "$INSTALL_AFTERWARDS" == "true" ]; then
+      echo "ERROR: aborting if can't make items.js for install build"
+      exit 1
+    fi
   fi
 
   echo JEKYLL running with: jekyll build $JEKYLL_CONFIG